`GET /api/v1/notifications` — list notifications for the requesting operator.
GET
/api/v1/notifications
const url = 'https://example.com/api/v1/notifications';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/notificationsParameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” unread
boolean
When true, only return notifications the requesting operator has
not yet marked as read.
limit
integer
Maximum number of notifications to return.
Responses
Section titled “ Responses ”List of notifications
Media type application/json
Response body for GET /api/v1/notifications.
object
notifications
required
Array<object>
A single notification in the API response.
object
event_id
required
string
event_type
required
string
id
required
string
severity
required
string
summary
required
string
timestamp_ms
required
integer format: int64
unread_count
required
integer format: int64
Example generated
{ "notifications": [ { "event_id": "example", "event_type": "example", "id": "example", "severity": "example", "summary": "example", "timestamp_ms": 1 } ], "unread_count": 1}